apiVersion: apps/v1
kind: Deployment
metadata:
  name: chocopoly-staff
  namespace: managed
  labels:
    app: chocopoly-staff
spec:
  replicas: 1
  selector:
    matchLabels:
      app: chocopoly-staff
  template:
    metadata:
      labels:
        app: chocopoly-staff
    spec:
      containers:
        - name: chocopoly-staff
          image: registry.gitlab.com/agepoly/it/dev/chocopoly/chocopoly-site-staff:0480d499
          imagePullPolicy: IfNotPresent

          env:
            - name: DB_HOST
              value: chocopoly-staff-mysql.managed.svc.cluster.local
            - name: DB_NAME
              valueFrom:
                secretKeyRef:
                  key: DB_NAME
                  name: chocopoly-staff-secrets
            - name: DB_PASS
              valueFrom:
                secretKeyRef:
                  key: DB_PASS
                  name: chocopoly-staff-secrets
            - name: DB_USER
              valueFrom:
                secretKeyRef:
                  key: DB_USER
                  name: chocopoly-staff-secrets

          ports:
            - containerPort: 80
              name: http
              protocol: TCP

          resources: {}
